package com.mints.goodmoney.mvp.views;

import com.mints.goodmoney.MintsApplication;

/**
 * 描述：BaseView
 * 作者：孟崔广
 * 时间：2017/10/10 17:51
 * 邮箱：mengcga@163.com
 */
public interface BaseView {
    /**
     * get view context
     *
     * @return
     */
    MintsApplication getBaseApplication();

    /**
     * show loading message
     *
     * @param msg
     */
    void showLoading(String msg);

    /**
     * hide loading
     */
    void hideLoading();

    /**
     * show error exception net message
     */
    void showToast(String msg);
}
